All Classes Namespaces Functions Variables Pages
HarmonicAngleForce Class Reference

This class implements an interaction between groups of three particles that varies harmonically with the angle between them. More...

Inheritance diagram for HarmonicAngleForce:

## Public Member Functions

def | getNumAngles
| getNumAngles(HarmonicAngleForce self) -> int More...
def | addAngle
| addAngle(HarmonicAngleForce self, int particle1, int particle2, int particle3, double angle, double k) -> int More...
def | getAngleParameters
| getAngleParameters(HarmonicAngleForce self, int index) More...
def | setAngleParameters
| setAngleParameters(HarmonicAngleForce self, int index, int particle1, int particle2, int particle3, double angle, double k) More...
def | updateParametersInContext
| updateParametersInContext(HarmonicAngleForce self, Context context) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(HarmonicAngleForce self) -> bool More...
def | __init__
| init(OpenMM::HarmonicAngleForce self) -> HarmonicAngleForce init(OpenMM::HarmonicAngleForce self, HarmonicAngleForce other) -> HarmonicAngleForce More...
def | __del__
| del(OpenMM::HarmonicAngleForce self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes

| this

## Detailed Description

This class implements an interaction between groups of three particles that varies harmonically with the angle between them.

To use it, create a HarmonicAngleForce object then call addAngle() once for each angle. After an angle has been added, you can modify its force field parameters by calling setAngleParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::HarmonicAngleForce self) -> HarmonicAngleForce init(OpenMM::HarmonicAngleForce self, HarmonicAngleForce other) -> HarmonicAngleForce

Create a HarmonicAngleForce.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::HarmonicAngleForce self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def addAngle | ( |  | self,
|  |  | args
| ) |  |

addAngle(HarmonicAngleForce self, int particle1, int particle2, int particle3, double angle, double k) -> int

Add an angle term to the force field.

Parameters

  particle1 | the index of the first particle forming the angle
  particle2 | the index of the second particle forming the angle
  particle3 | the index of the third particle forming the angle
  angle | the equilibrium angle, measured in radians
  k | the harmonic force constant for the angle, measured in kJ/mol/radian^2

References simtk.openmm.openmm.stripUnits().

def getAngleParameters | ( |  | self,
|  |  | args
| ) |  |

getAngleParameters(HarmonicAngleForce self, int index)

Get the force field parameters for an angle term.

Parameters

  index | the index of the angle for which to get parameters
  particle1 | the index of the first particle forming the angle
  particle2 | the index of the second particle forming the angle
  particle3 | the index of the third particle forming the angle
  angle | the equilibrium angle, measured in radians
  k | the harmonic force constant for the angle, measured in kJ/mol/radian^2

References simtk.openmm.openmm.stripUnits().

def getNumAngles | ( |  | self,
|  |  | args
| ) |  |

getNumAngles(HarmonicAngleForce self) -> int

Get the number of harmonic bond angle terms in the potential function

References simtk.openmm.openmm.stripUnits().

def setAngleParameters | ( |  | self,
|  |  | args
| ) |  |

setAngleParameters(HarmonicAngleForce self, int index, int particle1, int particle2, int particle3, double angle, double k)

Set the force field parameters for an angle term.

Parameters

  index | the index of the angle for which to set parameters
  particle1 | the index of the first particle forming the angle
  particle2 | the index of the second particle forming the angle
  particle3 | the index of the third particle forming the angle
  angle | the equilibrium angle, measured in radians
  k | the harmonic force constant for the angle, measured in kJ/mol/radian^2

References simtk.openmm.openmm.stripUnits().

def updateParametersInContext | ( |  | self,
|  |  | args
| ) |  |

updateParametersInContext(HarmonicAngleForce self, Context context)

Update the per-angle parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setAngleParameters() to modify this object's parameters, then call updateParametersInContext() to copy them over to the Context.

The only information this method updates is the values of per-angle parameters. The set of particles involved in a angle cannot be changed, nor can new angles be added.

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(HarmonicAngleForce self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py